
const OracleService = require('../service/OracleService')

class adqVerifLogAcessoModel {
    constructor() {
        this.GET_ADQVERIFLOGACESSO = `
            SELECT
               CDOPERADOR, DTHRACESSO, DSSISTEMA
            FROM
               LOGACESSO
            WHERE
               (CDOPERADOR = :P_CDOPERADOR) AND
               (DTHRACESSO = TIMESTAMP :P_DTHRACESSO) AND
               (DSSISTEMA  = :P_DSSISTEMA )
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFLOGACESSO, params);
        })
    }
}  

module.exports = new adqVerifLogAcessoModel();