const infoSystem = require('../model/infoSystem');

class SystemMonitoramentoController {
  /**
   * @returns versão do monitoramento
   */
  varsao() {
    return '0.0.1';
  }

  /**
   * @returns Retorna as validações do monitoramento.
   */
  async info() {
    return infoSystem.geTablePortal().then((result) => {
      const db = (result.rows.length > 0) ? 'true' : 'false';
      return [
        {
          "id": "9999",
          "cd": "9999",
          "nome": "Filial A",
          "component": "-",
          "db": db,
          "model": "",
          "controller": ""
        },
        {
          "id": "9998",
          "cd": "9998",
          "nome": "Filial A",
          "component": "Vendas",
          "db": db,
          "model": "0.0.1",
          "controller": "0.0.2"
        }
      ];
    }).catch((err) => {
      console.log(err);
    });
  }

  /**
   * Gera os arquivos do sistema de monitoramento
   */
  archivesSystem() {

  }
}

module.exports = new SystemMonitoramentoController();
