const updaterController = require('../../../app/controller/UpdaterController');

const route = (router) => {
  router.put('/updateratual/*', (async (req, res) => {
    try {
      console.log('updater/:', req.body);
      const result = await updaterController.updateVersaoAtual(req.body)
      
      if (result.rowsAffected > 0) {
        return res.status(200).json({ result });
      }
      
      return res.status(400).json({ error: 'Dados incorretos' });
    } catch (error) {
      return res.status(400).json({ error: 'Erro ao atualizar uma versão' });
    }
  }));
}

module.exports = route;