const OracleService = require('../service/OracleService');

class adqVerifRelVendasModel {
  constructor() {
    this.GET_ADQVERIFRELVENDAS = `
            SELECT 1
              FROM RELVENDAS
             WHERE CDFILIAL    = :P_CDFILIAL
               AND CDCAIXA     = :P_CDCAIXA
               AND DTENTRVENDA = TIMESTAMP :P_DTENTRVENDA
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFRELVENDAS, params);
    });
  }
}

module.exports = new adqVerifRelVendasModel();
